Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.ejb
Interface EJBMetaData

public interface EJBMetaData

The EJBMetaData interface allows a client to obtain the enterprise Bean's meta-data information.

The meta-data is intended for development tools used for building applications that use deployed enterprise Beans, and for clients using a scripting language to access the enterprise Bean.

Note that the EJBMetaData is not a remote interface. The class that implements this interface (this class is typically generated by container tools) must be serializable, and must be a valid RMI/IDL value type.

Method Summary
`EJBHome` | `getEJBHome()` Obtain the remote home interface of the enterprise Bean.
`java.lang.Class` | `getHomeInterfaceClass()` Obtain the Class object for the enterprise Bean's remote home interface.
`java.lang.Class` | `getPrimaryKeyClass()` Obtain the Class object for the enterprise Bean's primary key class.
`java.lang.Class` | `getRemoteInterfaceClass()` Obtain the Class object for the enterprise Bean's remote interface.
`boolean` | `isSession()` Test if the enterprise Bean's type is "session".
`boolean` | `isStatelessSession()` Test if the enterprise Bean's type is "stateless session".

Method Detail

### getEJBHome

    public EJBHome getEJBHome()

  Obtain the remote home interface of the enterprise Bean.

  Returns:
    the remote home interface of the enterprise Bean.

### getHomeInterfaceClass

    public java.lang.Class getHomeInterfaceClass()

  Obtain the Class object for the enterprise Bean's remote home interface.

  Returns:
    the Class object for the enterprise Bean's remote home interface.

### getRemoteInterfaceClass

    public java.lang.Class getRemoteInterfaceClass()

  Obtain the Class object for the enterprise Bean's remote interface.

  Returns:
    the Class object for the enterprise Bean's remote interface.

### getPrimaryKeyClass

    public java.lang.Class getPrimaryKeyClass()

  Obtain the Class object for the enterprise Bean's primary key class.

  Returns:
    the Class object for the enterprise Bean's primary key class.

### isSession

    public boolean isSession()

  Test if the enterprise Bean's type is "session".

  Returns:
    True if the type of the enterprise Bean is session bean.

### isStatelessSession

    public boolean isStatelessSession()

  Test if the enterprise Bean's type is "stateless session".

  Returns:
    True if the type of the enterprise Bean is stateless session.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.